#include <stdio.h>

int main() {
  int i, maior, menor, soma, teste=1;
  int temperatura[10000], n, m;
  
  scanf("%d %d", &n, &m);
  
  while (n > 0) {
  	  //lê as temperaturas e calcula o somatório do primeiro intervalo
      soma = 0;
      for (i = 0; i < m; i++) {
		scanf("%d", &temperatura[i]);
		soma += temperatura[i];
	  }
	  
      maior = soma;
      menor = soma;
      
      //Calcula a soma dos outros intervalos usando a soma do intervalo anterior
      for (i=m; i < n; i++) {
		scanf("%d", &temperatura[i]);
		soma = soma + temperatura[i] - temperatura[i-m];
		if (soma > maior) {
	    	maior = soma;
		} else if (soma < menor) {
	    	menor = soma;
		}
	  }
      printf("Teste %d\n%d %d\n", teste++, menor/m, maior/m);
   
      scanf("%d %d", &n, &m);

      if( n > 0){
        printf("\n");
      }
  }
  return 0;
}